# memcapable

## SYNOPSIS

memcapable [options]

Check a memcached server's capabilities and compatibility.

## DESCRIPTION

memcapable connects to the specified memcached server and tries to determine its capabilities by running various commands and verifying the response.

## OPTIONS

-h hostname

  Specify the hostname to connect to. The default is localhost.

-p port

  Specify the port number to connect to. The default is 11211.

-c

  abort(3) when detecting an error from the server.

-v

  Print out the comparison when it detects an error from the server.

-t n

  Set the timeout for an IO operation to/from the server to n seconds.

## NOTES

### PROGRAM PREFIX

The prefix of this program is variable, i.e. it can be configured at build time.

Usually the client programs of `libmemcached-awesome` are prefixed with `mem`, like `memcat` or `memcp`.

It can be configured, though, to replace the prefix with something else like `mc`, in case of that, the client programs of `libmemcached-awesome` would be called `mccat`, `mccp`, etc. respectively.

### CONTRIBUTED PROGRAM

This is a contributed program.

This program doesn't follow the standard flag/option scheme.

## SEE ALSO

- C/C++ Client Library for memcached